## Class TChainedCacheDependency

Description

TChainedCacheDependency class.

TChainedCacheDependency represents a list of cache dependency objects and performs the dependency checking based on the checking results of these objects. If any of them reports a dependency change, TChainedCacheDependency will return true for the checking.

To add dependencies to TChainedCacheDependency, use Dependencies which gives a TCacheDependencyList instance and can be used like an array (see TList for more details}).

- since: 3.1.0
- version: $Id: TCache.php 2362 2008-01-10 04:59:06Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Caching/TCache.php (line 617)

    TComponent
       |
       --TCacheDependency
          |
          --TChainedCacheDependency

Method Summary
TCacheDependencyList getDependencies ()
boolean getHasChanged ()
Methods
getDependencies (line 624)

- return: list of dependency objects
- access: public

TCacheDependencyList getDependencies ()
getHasChanged (line 637)

Performs the actual dependency checking.

This method returns true if any of the dependency objects reports a dependency change.

- return: whether the dependency is changed or not.
- access: public

boolean getHasChanged ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:32:04 -0400 by phpDocumentor 1.3.0RC4